## snaphu 1.4.2

=== src/Makefile ===
# Makefile for statistical-cost network-flow algorithm for phase unwrapping 
# Curtis W. Chen
# Copyright 2002 Board of Trustees, Leland Stanford Jr. University

# Specify your compiler (CC), whatever compiler flags (CFLAGS) you
# need, and the directory (BINDIR) in which the produced binary should
# be written.
#
# If you want to copy the man page and executable to a system directory, 
# specify the appropriate directories in the INSTALLDIR and MANDIR 
# variables and do 'make install' (you will probably need to be root).
#
# If you specify -D NO_CS2, the program will be compiled without the
# CS2 MCF solver module.

CC		=	cc 
CFLAGS		=	-O3   # -D NO_CS2
LIBS		=	-lm 
BINDIR		=	../bin
INSTALLDIR	=	/usr/local/bin
MANDIR		=	/usr/local/man
SNAPHU		=	$(BINDIR)/snaphu
SNAPHUMAN	=	../man/man1/snaphu.1
OBJS		=	snaphu_tile.o \
			snaphu_solver.o \
			snaphu_io.o \
			snaphu_util.o \
			snaphu_cost.o \
			snaphu_cs2.o 


all:		$(SNAPHU)

$(SNAPHU):	snaphu.c $(OBJS) snaphu.h Makefile 
		$(CC) $(CFLAGS) \
		snaphu.c \
		$(OBJS) \
		-o $(SNAPHU) \
		$(LIBS)

install:	$(SNAPHU)
		cp $(SNAPHU) $(INSTALLDIR);
		cp $(SNAPHUMAN) $(MANDIR)/man1/

clean:
		@rm -f *.o

Clean:
		@rm -f *.o *~ #*#

clobber:
		@rm -f $(SNAPHU)

# end of Makefile

=== debian/changelog ===
snaphu (1.4.2-3) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/control
    - Standard version bumped to 4.0.0 (no change)
    - fixed VCS fields
    - reformatted by cme
  * debian/copyright
    - use secure URI for copyright format
    - checked with cme
  * debian/patches
    - refresh all patches
    - renumber patches
    - fix spelling error in snaphu.1
  * debian/rules
    - enable hardening flags 

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Aug 2017 21:51:10 +0000

snaphu (1.4.2-2) unstable; urgency=low

  * Updated homapage URL and watch file
  * Use canonical URLs for VCS fields in the control file 
  * Fixed copyright format URL 
  * Fixed a typo in the short package description (Closes: #716792)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Apr 2013 20:45:57 +0200

snaphu (1.4.2-1) unstable; urgency=low

  * Initial release (Closes: #606882)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 27 Dec 2012 10:45:54 +0000

=== debian/control ===
Source: snaphu
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: non-free/science
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/snaphu.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/snaphu.git
Homepage: http://www.stanford.edu/group/radar/softwareandlinks/sw/snaphu/

Package: snaphu
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Statistical-Cost, Network-Flow Algorithm for 2D Phase Unwrapping
 Two-dimensional phase unwrapping is the process of recovering
 unambiguous phase data from a 2-D array of phase values known only
 modulo 2pi rad.
 .
 There are many applications, like Magnetic Resonance Imaging (MRI),
 Synthetic Aperture Radar (SAR), fringe pattern analysis, tomography
 and spectroscopy, which as part of their fundamental operation depend
 upon the extraction of a phase signal from their input image. Usually
 the phase is available in a form that suffers from 2-pi phase jumps
 due to the use of the mathematical arctangent function, which produces
 an inherently wrapped output. This wrapped phase is unusable until the
 phase discontinuities are removed.
 .
 SNAPHU is an implementation of the Statistical-cost, Network-flow
 Algorithm for Phase Unwrapping particularly suitable for SAR
 interferometry applications. This algorithm poses phase unwrapping as
 a maximum a posteriori probability (MAP) estimation problem, the
 objective of which is to compute the most likely unwrapped solution
 given the observable input data. Because the statistics relating the
 input data to the solution depend on the measured quantity, SNAPHU
 incorporates three built-in statistical models, for topography data,
 deformation data, and smooth generic data. The posed optimization
 problem is solved approximately with use of network-flow techniques.
 .
 As SNAPHU uses an iterative optimization procedure, its execution time
 depends on the difficulty of the interferogram. In single-tile mode
 the required memory is on the order of 100 MB per 1,000,000 pixels in
 the input interferogram.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DH_OPTIONS=--sourcedirectory=src

%:
	dh $@

override_dh_auto_build:
	mkdir -p bin
	dh_auto_build --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install --sourcedirectory=src -- INSTALLDIR=../debian/snaphu/usr/bin/ MANDIR=../debian/snaphu/usr/share/man

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=src
	$(MAKE) -C src clobber
	rm -rf bin

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_auto_clean

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.stanford.edu/group/radar/softwareandlinks/sw/snaphu/snaphu-v(.*)\.tar\.gz

## snaphu 2.0.0

=== debian/changelog ===
snaphu (2.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright:
    - update copyright date
  * debian/rules:
    - install changelog file
  * debian/patches:
    - drop 0001-fix-compilation-warnings.patch and
      0002-man-page-hyphens.patch: no longer necessary
    - refresh and renumber remaining patches

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Jul 2019 19:20:06 +0200

snaphu (1.4.2-7) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.

  [ Antonio Valentino ]
  * debian/copyright:
    - fix spelling error
  * debian/patches:
    - new 0004-Spelling.patch
  * Add basic autopkgtest script.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Feb 2019 15:53:36 +0000

snaphu (1.4.2-6) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
    (Closes: #905120)
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 19:39:31 +0200

snaphu (1.4.2-5) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Jul 2018 21:02:21 +0200

snaphu (1.4.2-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Strip trailing whitespace from changelog.

  [ Antonio Valentino ]
  * Standard version bumped to 4.1.3 (no change)
  * Set compat to 11
  * debian/copyright
    - added a disclaimer section
    - fix capitalization of the upstream project name
  * Add autopkgtest to test installability.
  * Add upstream metadata.
  * Use secure URLs for upstream links

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Mar 2018 19:38:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: non-free/science
 XS-Autobuild: no
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0)
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/snaphu.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/snaphu.git
-Homepage: http://www.stanford.edu/group/radar/softwareandlinks/sw/snaphu/
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/snaphu
+Vcs-Git: https://salsa.debian.org/debian-gis-team/snaphu.git
+Homepage: https://web.stanford.edu/group/radar/softwareandlinks/sw/snaphu/
 
 Package: snaphu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,9 @@
 override_dh_auto_install:
 	dh_auto_install --sourcedirectory=src -- INSTALLDIR=../debian/snaphu/usr/bin/ MANDIR=../debian/snaphu/usr/share/man
 
+override_dh_installchangelogs:
+	dh_installchangelogs -k README_releasenotes.txt
+
 override_dh_auto_clean:
 	dh_auto_clean --sourcedirectory=src
 	$(MAKE) -C src clobber

## snaphu 2.0.3

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for statistical-cost network-flow algorithm for phase unwrapping 
 # Curtis W. Chen
-# Copyright 2002 Board of Trustees, Leland Stanford Jr. University
+# Copyright 2002,2017 Board of Trustees, Leland Stanford Jr. University
 
 # Specify your compiler (CC), whatever compiler flags (CFLAGS) you
 # need, and the directory (BINDIR) in which the produced binary should
@@ -13,8 +13,10 @@
 # If you specify -D NO_CS2, the program will be compiled without the
 # CS2 MCF solver module.
 
-CC		=	cc 
-CFLAGS		=	-O3   # -D NO_CS2
+CC		=	cc
+OPTIMFLAGS	=	-O3
+DEBUGFLAGS	=	-ggdb
+CFLAGS		=	$(OPTIMFLAGS) -Wall # -Wuninitialized -m64 -D NO_CS2
 LIBS		=	-lm 
 BINDIR		=	../bin
 INSTALLDIR	=	/usr/local/bin
@@ -29,6 +31,7 @@
 			snaphu_cs2.o 
 
 
+.PHONY:	all
 all:		$(SNAPHU)
 
 $(SNAPHU):	snaphu.c $(OBJS) snaphu.h Makefile 
@@ -37,6 +40,10 @@
 		$(OBJS) \
 		-o $(SNAPHU) \
 		$(LIBS)
+
+.PHONY:	gdebug
+gdebug:		snaphu.c snaphu_tile.c snaphu_solver.c snaphu_io.c snaphu_util.c snaphu_cost.c snaphu_cs2.c snaphu.h
+		$(CC) $(DEBUGFLAGS) snaphu.c snaphu_tile.c snaphu_solver.c snaphu_io.c snaphu_util.c snaphu_cost.c snaphu_cs2.c -o $(SNAPHU) $(LIBS)
 
 install:	$(SNAPHU)
 		cp $(SNAPHU) $(INSTALLDIR);

=== debian/changelog ===
snaphu (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 11 Nov 2019 20:21:55 +0000

snaphu (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * debian/patches:
    - refresh all patches
  * debian/control:
    - Explicitly specify Rules-Requires-Root: no

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 30 Oct 2019 04:52:36 +0000

snaphu (2.0.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Don't delete bin directory in clean target, included in upstream source.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/tests/control:
    - mark test as superficial using Restrictions
  * debian/patches:
    - refresh all patches
  * Bump debhelper from old 11 to 12.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Sep 2019 11:08:52 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: non-free/science
 XS-Autobuild: no
+Rules-Requires-Root: no
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/snaphu
 Vcs-Git: https://salsa.debian.org/debian-gis-team/snaphu.git
 Homepage: https://web.stanford.edu/group/radar/softwareandlinks/sw/snaphu/

## snaphu 2.0.4

=== debian/changelog ===
snaphu (2.0.4-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * debian/control:
    - Minor improvements to the package description
  * debian/patches:
    - 0002-Spelling.patch: forward not needed
    - Refresh all patches
  * Update debian/copyright file.

  [ Bas Couwenberg ]
  * Drop upstream metadata, has no added value.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 27 Aug 2020 07:15:54 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/snaphu
 Vcs-Git: https://salsa.debian.org/debian-gis-team/snaphu.git
 Homepage: https://web.stanford.edu/group/radar/softwareandlinks/sw/snaphu/
@@ -42,5 +42,5 @@
  .
  As SNAPHU uses an iterative optimization procedure, its execution time
  depends on the difficulty of the interferogram. In single-tile mode
- the required memory is on the order of 100 MB per 1,000,000 pixels in
+ the required memory is on the order of 100 MB per 1000000 pixels in
  the input interferogram.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://web.stanford.edu/group/radar/softwareandlinks/sw/snaphu/snaphu-v(.*)\.tar\.gz

## snaphu 2.0.5

=== debian/changelog ===
snaphu (2.0.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * Refresh/simplify all patches.
  * XS-Autobuild: yes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 31 Jan 2022 06:54:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: non-free/science
-XS-Autobuild: no
+XS-Autobuild: yes
 Rules-Requires-Root: no
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/snaphu
 Vcs-Git: https://salsa.debian.org/debian-gis-team/snaphu.git
 Homepage: https://web.stanford.edu/group/radar/softwareandlinks/sw/snaphu/

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,6 @@
 override_dh_auto_clean:
 	dh_auto_clean --sourcedirectory=src
 	$(MAKE) -C src clobber
-	rm -rf bin
+	rm -rf bin/*
 
 .PHONY: override_dh_auto_build override_dh_auto_install override_dh_auto_clean

## snaphu 2.0.6

=== debian/changelog ===
snaphu (2.0.6-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use execute_{before,after} instead of override in rules file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 15:35:11 +0000

snaphu (2.0.6-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Add lintian-overrides for "superficial-tests".
  * Fix d/copyright formatting.
  * debian/copyright:
    - update copyright dates.
  * Refresh all patches.
  * Bump debhelper-compat version to 13.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Enable Salsa CI.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jun 2023 16:26:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XS-Autobuild: yes
 Rules-Requires-Root: no
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/snaphu
 Vcs-Git: https://salsa.debian.org/debian-gis-team/snaphu.git
 Homepage: https://web.stanford.edu/group/radar/softwareandlinks/sw/snaphu/

## snaphu 2.0.7

=== src/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 CC		=	cc
 OPTIMFLAGS	=	-O3
 DEBUGFLAGS	=	-ggdb
-CFLAGS		=	$(OPTIMFLAGS) -Wall # -Wuninitialized -m64 -D NO_CS2
+CFLAGS		=	-arch x86_64 $(OPTIMFLAGS) -Wall # -arch arm64 -Wuninitialized -m64 -D NO_CS2
 LIBS		=	-lm 
 BINDIR		=	../bin
 INSTALLDIR	=	/usr/local/bin

=== debian/changelog ===
snaphu (2.0.7-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0003-gcc-15-compat.patch (Closes: #1114389).
    - New 0004-Ensure-that-install-dirs-exist.patch.
  * Drop the no longer necessary d/dirs file.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Sep 2025 06:28:57 +0000

snaphu (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 28 Mar 2024 09:00:06 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/snaphu
 Vcs-Git: https://salsa.debian.org/debian-gis-team/snaphu.git
 Homepage: https://web.stanford.edu/group/radar/softwareandlinks/sw/snaphu/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --sourcedirectory=src

execute_after_dh_auto_clean:
	$(MAKE) -C src clobber
	rm -rf bin/*

execute_before_dh_auto_build:
	mkdir -p bin

override_dh_auto_install:
	dh_auto_install -- \
		INSTALLDIR=../debian/snaphu/usr/bin/ \
		MANDIR=../debian/snaphu/usr/share/man

override_dh_installchangelogs:
	dh_installchangelogs -k README_releasenotes.txt

=== debian/tests/control ===
Test-Command: snaphu -h | grep usage | grep -q snaphu
Depends: @
Restrictions: superficial

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4

https://web.stanford.edu/group/radar/softwareandlinks/sw/snaphu/snaphu-v(.*)\.tar\.gz
